Routes

Get collection data

GEThttps://api.insurely.com/wealth/collection/{collectionId}/data

Request

Path Parameters

collectionIdstring

Header Parameters

Insurely-Versionstring

Specifies the API version to use. Must match the version of the endpoint you are targeting.

Possible Enum values are 2025-01-01.

Responses

Pension data successfully fetched.

Body

companystring

Company where the financial product has been collected from. Examples: se-folksam, se-lansforsakringar, se-avanza, se-movestic, se-spp, se-nordea, se-amf, se-seb, se-alecta, se-nordnet, se-handelsbanken, se-futur, se-swedbank, se-skandia, se-ica-bank, se-danske-bank.

companyDisplayNamestring

Display name of the company for user-friendly presentation.

typestring

Type of the financial product.

Possible Enum values are KF, ISK, CUSTODY_ACCOUNT, UNKNOWN_INVESTMENT_TYPE, IPS_PENSION, PRIVATE_PENSION, OCCUPATIONAL_PENSION, COLLECTIVE_OCCUPATIONAL_PENSION, UNKNOWN_PENSION_TYPE, MORTGAGE_LOAN, UNSECURED_LOAN, GENERAL_SAVINGS_ACCOUNT or GENERAL_SAVINGS_ACCOUNT_FIXED_PERIOD.
One of these types:

Properties below are from the CustodyAccount subtype. View the full schema for full details.

accountInformationAccountInformation

Account details such as available balance and interest rate.

companystring

Company where the financial product has been collected from. Examples: se-folksam, se-lansforsakringar, se-avanza, se-movestic, se-spp, se-nordea, se-amf, se-seb, se-alecta, se-nordnet, se-handelsbanken, se-futur, se-swedbank, se-skandia, se-ica-bank, se-danske-bank.

companyDisplayNamestring

Display name of the company for user-friendly presentation.

financialInformationProductFinancialInformation

Financial details of the product, like value, performance etc.

holderHolder

Information about the owner of the financial product.

List of holdings within the financial product.

idstring

Unique identifier for the financial product.

monthlySavingsAmountMonetaryAmount

Monthly savings amount associated with the financial product.

personalInformationobject

Details of the person collecting the data, e.g., personal number.

productNamestring

Name of the financial product.

productNumberstring

Number associated with the financial product.

transactionsArray<Transaction>

Transaction history for the last 12 months.

typestring

Type of the financial product.

Possible Enum values are KF, ISK, CUSTODY_ACCOUNT, UNKNOWN_INVESTMENT_TYPE, IPS_PENSION, PRIVATE_PENSION, OCCUPATIONAL_PENSION, COLLECTIVE_OCCUPATIONAL_PENSION, UNKNOWN_PENSION_TYPE, MORTGAGE_LOAN, UNSECURED_LOAN, GENERAL_SAVINGS_ACCOUNT or GENERAL_SAVINGS_ACCOUNT_FIXED_PERIOD.
cURL
curl https://api.insurely.com/wealth/collection/{collectionId}/data \  -H "authorization-token: <authorization-token>"
RESPONSE 200
[  {    "accountInformation": {      "cashAccountNumber": "1234567",      "cashValue": {        "amount": 4514.27,        "currency": "SEK"      },      "hasExclusiveOwnership": true,      "interestRate": 0.0025    },    "company": "se-avanza",    "companyDisplayName": "Avanza",    "financialInformation": {      "currentValue": {        "amount": 26982.66,        "currency": "SEK"      },      "performanceSinceStart": 0.1605    },    "holder": {      "name": "Firstname Lastname"    },    "holdings": [      {        "acquisitionValue": {          "amount": 18883.51,          "currency": "SEK"        },        "feeVariable": 0,        "isin": "SE0001718388",        "name": "Avanza Zero",        "quantity": 54.076858,        "type": "FUND",        "value": {          "amount": 22468.39,          "currency": "SEK"        }      }    ],    "id": "df2e7a28-d871-45c1-a01e-515b7aeaf7da",    "monthlySavingsAmount": {      "amount": 4000,      "currency": "SEK"    },    "productName": "Min ISK",    "productNumber": "987654321",    "type": "ISK"  }]